clang 10.0.0git

Namespaces | Enumerations | Functions
OperatorPrecedence.h File Reference

Defines and computes precedence levels for binary/ternary operators. More...

`#include "clang/Basic/TokenKinds.h"`
Include dependency graph for OperatorPrecedence.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::prec
| PrecedenceLevels - These are precedences for the binary/ternary operators in the C99 grammar.

## Enumerations
enum | clang::prec::Level { clang::prec::Unknown = 0, clang::prec::Comma = 1, clang::prec::Assignment = 2, clang::prec::Conditional = 3, clang::prec::LogicalOr = 4, clang::prec::LogicalAnd = 5, clang::prec::InclusiveOr = 6, clang::prec::ExclusiveOr = 7, clang::prec::And = 8, clang::prec::Equality = 9, clang::prec::Relational = 10, clang::prec::Spaceship = 11, clang::prec::Shift = 12, clang::prec::Additive = 13, clang::prec::Multiplicative = 14, clang::prec::PointerToMember = 15 }

## Functions
prec::Level | clang::getBinOpPrecedence (tok::TokenKind Kind, bool GreaterThanIsOperator, bool CPlusPlus11)
| Return the precedence of the specified binary operator token. More...

## Detailed Description

Defines and computes precedence levels for binary/ternary operators.

Definition in file OperatorPrecedence.h.